Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.storage.filter
Interface IndexFilter

All Superinterfaces:
  Filter, Serializable

All Known Subinterfaces:
  EntryIndexFilter

public interface IndexFilter
extends Filter

Special filter that use indexes to speed up filter queries.

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Method Summary
`boolean` | `filter(Map index, Set remainingKeys)` Filter a set of remaining Store keys using index data.

Methods inherited from interface com.bea.wlcp.wlng.api.storage.filter.Filter
`matches, setParameters`

Method Detail

### filter

    public boolean filter(Map index,
                          Set remainingKeys)

  Filter a set of remaining Store keys using index data. The method is responsible to remove the keys doesn't match this filter from the remainingKeys set.
  This method will be invoked until all indexes for this store has been processed or the method returns true to indicate that it has been able to complete filtering using the index. If the method returns false when no more indexes are available, the remaining keys will be filtered individually using the matches(Object value) method.
  If the index can't be used to narrow down the remaining keys using only the index keys, the method should return false to avoid doing unnecessary processing that doesn't help and let other indexes or the matches method be used if that's the most efficient filtering mechanism.

  Parameters:
    `index` - An index that exists for the store that can be used for filtering.
    `remainingKeys` - The remaining set of Store keys that may match this filter.
  Returns:
    True if no more filter processing is needed or false if the remaining keys needs to be filtered further using indexes or individually using the matches(Object value) method if no more indexes exists.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD